---
taghome: altsearch
title: "altsearch: projects, ideologies, ideas" 
toplevel: false
layout: page
tags: ["altweb", "internet"]
permalink: "/altsearch/"
---

I'm the daughter of a degree-holding librarian daughter of a degree-holding librarian. Library and information science is one of the coolest fields techie folks could benefit from scratching into. Since I'm into altweb-type projects, let's talk altsearch! 

## examples 

### [daniel's network](https://search.melonking.net/)
* holy shit what a VIBE 
* pulls a site's background image to display behind its results
* currently very neocities-centric
  * this is good; neocities is often quite neglected by other projects like this
* still checking it out to see quality of results, but the energy here is so good I'm willing to give it all the time in the world to iterate

### [wiby.me](https://wiby.me/) / [wiby.org](https://wiby.org)
* refuses pages with "intrusive" ads
* "Pages must be simple in design"
* "Pages should not use much scripts/css for cosmetic effect."
* I'm so ideologically opposed to this I don't use it

### [searchmysite](https://searchmysite.net/) 
* self hostable!
* provides search as an API to indexed sites 
* promotes ad-free pages
* domain: "independent" and "personal" 
* I wish I could figure out how to kick back a few bucks to this -- the content is still kinda sparse, but I really like it both ideologically and in practice

### [ninfex](https://ninfex.com/)
* has a link-aggregator-like upvoting mechanism
* [newest](https://ninfex.com/newest) page seems real tech-heavy
* I haven't used it much, still need to try it out more

### [lieu](https://lieu.cblgh.org/)
* indexes[^subset] the semi-closed corpus of sites in the merveilles[^merveilles] [webring](https://webring.xxiivv.com/)
* search as a tool to facilitate cross-pollination of ideas within a community
  * feels like it is most useful for keeping up with the times by rooting around in all the members' stuff that doesn't show up on an RSS feed
* mostly, the sites I already follow popped up when I searched things, but it seems like a nice way for someone to get the vibe of the scene

[^merveilles]: Merveilles is sort of a school of [art/tech](https://wiki.xxiivv.com/site/merveilles.html) and sort of an online community and sort of a [Mastodon instance](https://merveilles.town/about). 

[^subset]: It [excludes some](https://lieu.cblgh.org/filtered), so it's a subset.

### ["edge" (search.marginalia.nu)](https://search.marginalia.nu) 
* "If you are looking for fact, this is almost certainly the wrong tool. If you are looking for serendipity, you're on the right track. When was the last time you just stumbled onto something interesting, by the way?"
  * it does well at this
* favors old content: "The hypothesis is something akin to the Lindy-effect: If a webpage has been around for a long time, then odds are it has fundamental redeeming quality that has motivated keeping it around all for that time."
  * this is strictly delusional in a world where there is an ongoing cost to maintain URLs' presence (domain fees) and host content
* "The more markup it has in relation to its text, the lower it will score. Each script tag is punished."
  * this includes such "evils" as markup for accessibility and alt text
* I don't agree ideologically at all with the way this is done, but it does succeed at surfacing good *old* content

### [million short](https://millionshort.com/) 
* lets you specify what threshold of popularity (by rank) to exclude
* I haven't submitted my site because they want a phone number. **hell no.**
* good results across a wide variety of queries

### [teclis](http://teclis.com/)

* I haven't exactly figured out what the sweet spot is for this one. It wants submissions of particular articles, not sites, and it seeded its index with stuff like hacker news and reddit, so it isn't exactly my scene, but let me know if you have good results with it.

## ideas on which I have no intention of acting 
* I want lazy-loaded screenshot previews of search results by their links. This incentivises the world to fight against [gwalb](https://www.kickscondor.com/gwalb/)-powered [content collapse](http://www.roughtype.com/?p=8724)
  * maybe reward results where the searched-for content lands above-the-fold? 
* two tiers of results, one powered by submissions, one powered by a million-short-like approach?
* my web ethic (obviously) is that expressive/artistic CSS and JS is great, with the accessbility and bandwidth caveat that, wherever possible, stuff should Just Work with CSS and JS off.
  * is there a way to detect that kind of "Just Works" to reward/penalize based on it? sounds real hard, but also like there might be good heuristics



