The [utilitarian calculus](https://en.wikipedia.org/wiki/Felicific_calculus) that the online rationalismists seem to be doing misses a big emphasis on [uncertainty](#uncertainty).
With [the art thing](#criticism of effective altruism), it's like, okay, [art](#art) has *always* had these huge costs relative to other stuff you could be doing to ensure survival more directly -- and yet it persists!
We keep arting!
And one way to look at that is to say, *what massive opportunity for improvement, to trim the fat, let's all focus on the* important *stuff*, but another way to look at it is to say, *hey, maybe that stuff is important even if I can't explain it with measurements right now*.
I guess that's a boring application of [chesterton's fence](#chestertons fence). 

But the one I'm really tossing around in my head is something akin to [subsidiarity](#subsidiarity), [localism](#localism)... which is this idea that, you know, there's a way in which, you hear about people who don't have enough food, you think, okay, I should give them food.
If the people in question are the folks in tents down the street, that first-order action is likely as good a thing to do as I think it is -- and if it somehow has bad effects, they'll be bad effects in my neighborhood, I can hopefully notice, take responsibility, and work to make amends.
But if the people are in developing countries, [sending a bunch of US corn can mess up local economies](https://en.wikipedia.org/wiki/Aid#Cash_aid_versus_in-kind_aid).
And how can a bunch of Americans even see that distortion?
That's a nice clean example where you can probably get numbers on the impact, but there's so much where people with really good intentions have done awful stuff failing to understand the people they thought they were helping...

The EA stuff I read emphasizes figuring out the best return on your charitable dollar.
It ends up taking this huge power imbalance between the global north and the global south and using it like leverage on an investment, to Do More Good. 
But leverage is risky! 
It also means that the possible ill effects of whatever you're doing are magnified, and sometimes that can be true even when they're really hard to measure. (e.g., if the Gates Foundation weren't around propagating its ideas around intellectual property, would medical aid look the same as it does today? Would that world be better or worse? [Some say better](https://en.wikipedia.org/wiki/Bill_%26_Melinda_Gates_Foundation#Global_health_division_2), even if the firehose of money vanished...)

I therefore have this instinct that there's a missing heuristic -- if you're acting at a distance, the feedback loops around what you're doing will be real slow to tell you when you've made a mistake (if they exist at all).
If you're acting cross-culturally, you may be exerting your power in malefic ways that you don't recognize.
I'll bet you there were a lot of people who genuinely thought they were doing right by the kids in [residential schools](https://en.wikipedia.org/wiki/American_Indian_boarding_schools).
Distance -- maybe geographic, maybe cultural -- should introduce a lot of uncertainty into one's effectiveness calculus -- not in the *"most"* of "do the most good", but in the *"good"*. You should have to be extra, extra sure of what you're doing to act across that distance -- especially with a power imbalance involved.

Maybe it's a relevant comparison -- at one point I had a vague and probably inaccurate understanding of [right livelihood](https://en.wikipedia.org/wiki/Noble_Eightfold_Path#Right_livelihood) rattling around in my head. And I was thinking, you know, okay, I don't like the force in the world that my industry is, but I feel like I found a relatively clean little corner of it, but isn't that just self-delusion... On and on.

Eventually I realized I needed to not think of things in such a top-down view, of myself as an infinitely fungible drop of water in some awful fluid dynamics model -- I needed to start with the ethical dimensions of the life I am *living*, of the choices I actually *have*. Very different issues come up when you consider the ethics of the situations you actually run into -- the *people* you actually engage with -- than when you're working with high-level analysis. I don't think I can be too specific, but I was doing a lot of neglecting trees to fret about forests, as it were.

Working up from the bottom, not because of an *ideology* of grassrootsism but because we work up from where we *are*. Working outwards from *who* we are, and working across our differences with great [humility](#humility).

Further digression, I guess: that's one thing I've always admired about people who organize [unions](#unions).
It's like this big abstract principle, maybe, that the abstract worker should have abstract representation in their abstract conflict with their abstract employer -- but in the actual factual world, you're working *some* job and you have *some* boss and you and your coworkers have *some* problems with the job, with your boss, and that's what it's really about.
And so if you go and read the coverage of any labor dispute, it'll sound insanely specific, but of *course* people go on strike because a piece of scheduling software was changed to give them 3 minutes between appointments instead of 5, or because they were being asked to bring in their own Sharpies.
And of *course* actually doing anything about it involves balancing individuals' egos and motivations and axes-to-grind and not nice clean ideals.
[Solidarity](#solidarity) doesn't start with a meaning of universal brotherhood like all those old songs lay out, it means coming to an understanding with your actual colleagues in all their gritty particularity -- and that's the earth in which the larger thing can be planted. 

I always get back to a garden metaphor somehow. 

*epistemic status*: all a sketch in my head, but something I've been bouncing around for long enough to want to toss out there, excuse the mixed metaphors, it's 1:30AM. 